Datacenter
All operations require authentication.
List datacentersProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a datacenterProduction
Get a datacenter. Returns the datacenter: name, commercial range, version and whether it can be removed.
Path parameters
Id of the Datacenter
Domain of the service
Response
The commercial name of this Datacenter
CDICDI-HDSCDI-HIPAACDI-NSXCDI-NSX-TCDI-NSX-VROPSCDI-PCIDSSCDI-UNKNOWNCDI-VROPSDCDC-ANCIENTDC-ANCIENT-HDSDC-ANCIENT-HIPAADC-ANCIENT-NSXDC-ANCIENT-NSX-TDC-ANCIENT-NSX-VROPSDC-ANCIENT-PCIDSSDC-ANCIENT-UNKNOWNDC-ANCIENT-VROPSDC-HDSDC-HIPAADC-LEGACYDC-LEGACY-HDSDC-LEGACY-HIPAADC-LEGACY-NSXDC-LEGACY-NSX-TDC-LEGACY-NSX-VROPSDC-LEGACY-PCIDSSDC-LEGACY-UNKNOWNDC-LEGACY-VROPSDC-NSXDC-NSX-TDC-NSX-VROPSDC-PCIDSSDC-UNKNOWNDC-VROPSESSENTIALSESSENTIALS-HDSESSENTIALS-HIPAAESSENTIALS-NSXESSENTIALS-NSX-TESSENTIALS-NSX-VROPSESSENTIALS-PCIDSSESSENTIALS-UNKNOWNESSENTIALS-VROPSNSX-TNSX-T-DEFAULTNSX-T-HDSNSX-T-NSXNSX-T-NSX-VROPSNSX-T-PCIDSSNSX-T-VROPSNSX-T-VROPS-WITHOUT-NSXNSX-T-WITHOUT-NSXPREMIERPREMIER-DEFAULTPREMIER-HDSPREMIER-HIPAAPREMIER-NSXPREMIER-NSX-TPREMIER-NSX-VROPSPREMIER-PCIDSSPREMIER-UNKNOWNPREMIER-VROPSSDDCSDDC-DEFAULTSDDC-HDSSDDC-HIPAASDDC-LEGACYSDDC-LEGACY-HDSSDDC-LEGACY-HIPAASDDC-LEGACY-PCIDSSSDDC-LEGACY-UNKNOWNSDDC-LEGACY-VROPSSDDC-LEGACY-VROPS-WITHOUT-NSXSDDC-LEGACY-WITHOUT-NSXSDDC-PCIDSSSDDC-UNKNOWNSDDC-VROPSSDDC-VROPS-WITHOUT-NSXSDDC-WITHOUT-NSXUNKNOWNUNKNOWN-HDSUNKNOWN-HIPAAUNKNOWN-NSXUNKNOWN-NSX-TUNKNOWN-NSX-VROPSUNKNOWN-PCIDSSUNKNOWN-UNKNOWNUNKNOWN-VROPSUNKNOWN-VSPHEREVSPHEREVSPHERE-DEFAULTVSPHERE-HDSVSPHERE-NSXVSPHERE-NSX-VROPSVSPHERE-PCIDSSVSPHERE-VROPSVSPHERE-VROPS-WITHOUT-NSXVSPHERE-WITHOUT-NSXThe commercial range associated to this Datacenter
Id of the Datacenter
Check if this datacenter has different host profiles
Check if this datacenter has different VSAN host profiles
Name of the associated Horizon View service if the VDI option is enabled
Check if this datacenter is removable (Need to be Empty)
Os version installed on your VMware on OVHcloud
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId} \
-H "authorization: Bearer $OVH_TOKEN"{ "commercialName": "CDI", "commercialRangeName": "string", "datacenterId": 0, "description": "string", "hasMixedHostProfiles": true, "hasMixedVsanHostProfiles": true, "horizonViewName": "string", "isRemovable": true, "name": "string", "version": "string"}
List clustersProduction
Path parameters
Id of the Datacenter
Domain of the service
Response
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ cluster \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a clusterProduction
Get a cluster. Returns the cluster: name, VMware MoRef, DRS and HA status, EVC mode and autoscale settings.
Path parameters
Id of the cluster
Id of the Datacenter
Domain of the service
Response
AutoScale associated to this cluster
Id of the cluster
Drs mode of the cluster
fullyAutomatedmanualpartiallyAutomatedDrs status of the cluster
disabledenabledunknownEvc mode of the cluster
High availability status of the cluster
disabledenabledunknownName of the cluster
The VMware MoRef of the cluster
Example uses clusterId = 0, datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ cluster/ {clusterId} \
-H "authorization: Bearer $OVH_TOKEN"{ "autoscale": { "autoScaleInHost": "automatic", "autoScaleOutHost": "automatic", "autoScaleOutStorage": "automatic", "configId": 0, "id": 0, "inMaintenanceMode": true, "state": "disabled" }, "clusterId": 0, "drsMode": "fullyAutomated", "drsStatus": "disabled", "evcMode": "string", "haStatus": "disabled", "name": "string", "vmwareClusterId": "string"}
Get the private gatewayProduction
Get the private gateway. Returns the private management gateway: IP address, netmask, portgroup and state.
Path parameters
Id of the Datacenter
Domain of the service
Response
Ip set on your private gateway in your network
Your netmask set on the private gateway
Portgroup in your VMware on OVHcloud used to deploy the private gateway
State of the option
disableddisablingenabledenablingerrormigratingunknownExample uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ privateGateway \
-H "authorization: Bearer $OVH_TOKEN"{ "customerIp": "192.0.2.0", "customerNetmask": "192.0.2.0", "customerPortGroup": "string", "state": "disabled"}
List IP blocksProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ ip \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0/24"]
Get an IP blockProduction
Path parameters
IP ex: 213.186.33.34/24
Domain of the service
Response
Gateway value
Netmask value
IP ex: 213.186.33.34/24
Network name
The Regional Internet Registry of this Ip Block
arinripeVlan where this network is routed
Example uses network = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ ip/ {network} \
-H "authorization: Bearer $OVH_TOKEN"{ "country": "string", "description": "string", "gateway": "192.0.2.0", "netmask": "192.0.2.0", "network": "192.0.2.0/24", "networkName": "string", "register": "arin", "vlanNumber": 0}
List IP block addressesProduction
List IP block addresses. Returns each IP address of the block with its reverse record and its usage: virtual machine, NSX-T or reserved.
Path parameters
IP ex: 213.186.33.34/24
Domain of the service
Response
IP address
IP address reverse record
IP address usage
nsxtreservedvmIP address usage details
Example uses network = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ ip/ {network}/ details \
-H "authorization: Bearer $OVH_TOKEN"[ { "ip": "192.0.2.0", "reverse": "string", "usage": "nsxt", "usageDetails": "string" }]
List orderable IP block countriesProduction
List orderable IP block countries. Returns the countries in which an IP block can be ordered for the service.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ orderableIpCountries \
-H "authorization: Bearer $OVH_TOKEN"[ "be"]
List VLANsProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vlan \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a VLANProduction
Path parameters
Domain of the service
Response
Speed in Mbps
All states a Dedicated Cloud Vlan can be in
availabledelivereddisablederrorremovingreservedThis Dedicated Cloud vlan type
adminfreepaidExample uses serviceName = string, vlanId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vlan/ {vlanId} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "routingRateLimit": "string", "state": "available", "type": "admin", "vlanId": 0, "vlanNumber": 0}
List vRacksProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrack \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an attached Managed VMware vSphere serviceProduction
Path parameters
Domain of the service
vrack name
Response
your dedicated cloud service
Dedicated cloud vlanId used
vrack name
Example uses serviceName = string, vrack = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrack/ {vrack} \
-H "authorization: Bearer $OVH_TOKEN"{ "dedicatedCloud": "string", "vlanId": 0, "vrack": "string"}
Create a datacenterProduction
Create a datacenter. Creates a datacenter in a commercial range, optionally linked to a vRack. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
The commercial range of this new datacenter. You can see what commercial ranges are orderable on this API section : /dedicatedCloud/commercialRange/
Name of the Vrack link to the new datacenter.
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Configure NSX-T on a clusterProduction
Path parameters
Id of the cluster
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses clusterId = 0, datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ cluster/ {clusterId}/ nsxt \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Remove the private gatewayProduction
Remove the private gateway. Removes the private management gateway. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ privateGateway/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Deploy the private gatewayProduction
Deploy the private gateway. Deploys the private management gateway on a portgroup of the service, with the given IP address and netmask. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
Ip to set on your private gateway in your network
Your netmask to set on the private gateway
Portgroup in your VMware on OVHcloud used to deploy the private gateway
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ privateGateway/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reconfigure the private gatewayProduction
Reconfigure the private gateway. Changes the IP address, netmask or portgroup of the private management gateway, or moves it to another datacenter. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
Ip to set on your private gateway in your network
Your netmask to set on the private gateway
Datacenter id where your private gateway will be moved
Portgroup in your VMware on OVHcloud used to deploy the private gateway
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ privateGateway/ reconfigure \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete a datacenterProduction
Delete a datacenter. Deletes the datacenter. The datacenter must be empty: check isRemovable first. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete the cluster NSX-T configurationProduction
Delete the cluster NSX-T configuration. Removes the NSX-T configuration from the cluster. Returns a task to track progress.
Path parameters
Id of the cluster
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses clusterId = 0, datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ cluster/ {clusterId}/ nsxt \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Detach a Managed VMware vSphere serviceProduction
Detach a Managed VMware vSphere service. Detaches the Hosted Private Cloud service from the vRack. Returns the task that performs it.
Path parameters
Domain of the service
vrack name
Response
Task status
cancelleddoingdoneinittodoExample uses serviceName = string, vrack = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrack/ {vrack} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Update a datacenterProduction
Update a datacenter. Updates the name and description of the datacenter. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
The commercial name of this Datacenter
CDICDI-HDSCDI-HIPAACDI-NSXCDI-NSX-TCDI-NSX-VROPSCDI-PCIDSSCDI-UNKNOWNCDI-VROPSDCDC-ANCIENTDC-ANCIENT-HDSDC-ANCIENT-HIPAADC-ANCIENT-NSXDC-ANCIENT-NSX-TDC-ANCIENT-NSX-VROPSDC-ANCIENT-PCIDSSDC-ANCIENT-UNKNOWNDC-ANCIENT-VROPSDC-HDSDC-HIPAADC-LEGACYDC-LEGACY-HDSDC-LEGACY-HIPAADC-LEGACY-NSXDC-LEGACY-NSX-TDC-LEGACY-NSX-VROPSDC-LEGACY-PCIDSSDC-LEGACY-UNKNOWNDC-LEGACY-VROPSDC-NSXDC-NSX-TDC-NSX-VROPSDC-PCIDSSDC-UNKNOWNDC-VROPSESSENTIALSESSENTIALS-HDSESSENTIALS-HIPAAESSENTIALS-NSXESSENTIALS-NSX-TESSENTIALS-NSX-VROPSESSENTIALS-PCIDSSESSENTIALS-UNKNOWNESSENTIALS-VROPSNSX-TNSX-T-DEFAULTNSX-T-HDSNSX-T-NSXNSX-T-NSX-VROPSNSX-T-PCIDSSNSX-T-VROPSNSX-T-VROPS-WITHOUT-NSXNSX-T-WITHOUT-NSXPREMIERPREMIER-DEFAULTPREMIER-HDSPREMIER-HIPAAPREMIER-NSXPREMIER-NSX-TPREMIER-NSX-VROPSPREMIER-PCIDSSPREMIER-UNKNOWNPREMIER-VROPSSDDCSDDC-DEFAULTSDDC-HDSSDDC-HIPAASDDC-LEGACYSDDC-LEGACY-HDSSDDC-LEGACY-HIPAASDDC-LEGACY-PCIDSSSDDC-LEGACY-UNKNOWNSDDC-LEGACY-VROPSSDDC-LEGACY-VROPS-WITHOUT-NSXSDDC-LEGACY-WITHOUT-NSXSDDC-PCIDSSSDDC-UNKNOWNSDDC-VROPSSDDC-VROPS-WITHOUT-NSXSDDC-WITHOUT-NSXUNKNOWNUNKNOWN-HDSUNKNOWN-HIPAAUNKNOWN-NSXUNKNOWN-NSX-TUNKNOWN-NSX-VROPSUNKNOWN-PCIDSSUNKNOWN-UNKNOWNUNKNOWN-VROPSUNKNOWN-VSPHEREVSPHEREVSPHERE-DEFAULTVSPHERE-HDSVSPHERE-NSXVSPHERE-NSX-VROPSVSPHERE-PCIDSSVSPHERE-VROPSVSPHERE-VROPS-WITHOUT-NSXVSPHERE-WITHOUT-NSXThe commercial range associated to this Datacenter
Id of the Datacenter
Check if this datacenter has different host profiles
Check if this datacenter has different VSAN host profiles
Name of the associated Horizon View service if the VDI option is enabled
Check if this datacenter is removable (Need to be Empty)
Os version installed on your VMware on OVHcloud
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reapply NSX-T on a clusterProduction
Reapply NSX-T on a cluster. Reapplies the NSX-T configuration of the cluster. Returns a task to track progress.
Path parameters
Id of the cluster
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses clusterId = 0, datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ cluster/ {clusterId}/ nsxt \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}